فاتورة المشروع التالية
curl --request POST \
--url https://api.truthlocks.com/v1/billing/projected-invoice \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"country_code": "<string>",
"mints": 500000000,
"plan_key": "<string>",
"verifications": 500000000
}
'const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
country_code: '<string>',
mints: 500000000,
plan_key: '<string>',
verifications: 500000000
})
};
fetch('https://api.truthlocks.com/v1/billing/projected-invoice', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.truthlocks.com/v1/billing/projected-invoice"
payload = {
"country_code": "<string>",
"mints": 500000000,
"plan_key": "<string>",
"verifications": 500000000
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.truthlocks.com/v1/billing/projected-invoice"
payload := strings.NewReader("{\n \"country_code\": \"<string>\",\n \"mints\": 500000000,\n \"plan_key\": \"<string>\",\n \"verifications\": 500000000\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-API-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"total": 123,
"subtotal": 123,
"amount_unit": "cents",
"billing_model": "pay_per_use",
"volume_pricing": "graduated",
"estimate_only": true,
"currency": "<string>",
"line_items": [
{}
]
}{
"code": "AUTH_REQUIRED",
"message": "Authentication required",
"http_status": 401
}الفوترة
الفاتورة المتوقعة
حساب تفاصيل فاتورة متوقعة بناءً على أحجام السك والتحقق المتوقعة.
POST
/
v1
/
billing
/
projected-invoice
فاتورة المشروع التالية
curl --request POST \
--url https://api.truthlocks.com/v1/billing/projected-invoice \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"country_code": "<string>",
"mints": 500000000,
"plan_key": "<string>",
"verifications": 500000000
}
'const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
country_code: '<string>',
mints: 500000000,
plan_key: '<string>',
verifications: 500000000
})
};
fetch('https://api.truthlocks.com/v1/billing/projected-invoice', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.truthlocks.com/v1/billing/projected-invoice"
payload = {
"country_code": "<string>",
"mints": 500000000,
"plan_key": "<string>",
"verifications": 500000000
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.truthlocks.com/v1/billing/projected-invoice"
payload := strings.NewReader("{\n \"country_code\": \"<string>\",\n \"mints\": 500000000,\n \"plan_key\": \"<string>\",\n \"verifications\": 500000000\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-API-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"total": 123,
"subtotal": 123,
"amount_unit": "cents",
"billing_model": "pay_per_use",
"volume_pricing": "graduated",
"estimate_only": true,
"currency": "<string>",
"line_items": [
{}
]
}{
"code": "AUTH_REQUIRED",
"message": "Authentication required",
"http_status": 401
}POST /v1/billing/projected-invoice
country_code. تستخدم نقطة النهاية هذه بطاقة الأسعار القياسية، وليس اتفاقية مستأجر متفاوض عليها. قدم الكميات القابلة للفوترة المتوقعة؛ لا تحسب هذه الآلة الحاسبة البدلات المجانية أو تصنف نشاط وضع الحماية.
تسعير الحجم متدرج. يسعر كل نطاق العمليات في هذا النطاق فقط. تحدد الاستجابة billing_model: "pay_per_use"، volume_pricing: "graduated"، amount_unit: "cents"، و estimate_only: true. لا ينشئ التقدير فاتورة أو يفرض رسومًا عليها. تُرجع تعريفات الأسعار المفقودة أو المتداخلة أو غير المكتملة 422 invalid_pricing؛ وتُرجع الكميات غير الآمنة والخطط غير المعروفة 400 bad_request.
الأسعار المطبقة بالضبط موجودة في line_items. يتم الاحتفاظ بالحقول العددية الملائمة rates_used للتوافق مع بطاقات الأسعار الثابتة؛ وهي ليست سعرًا مختلطًا ويجب عدم ضربها عبر نطاقات الحجم.
الاستجابة
جميع المبالغ بالسنتا. اقسم على 100 للتحويل إلى دولارات. تنطبق المضاعفات الإقليمية تلقائيًا عند تضمين
country_code.الجسم
application/json

